/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.VZonas;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class VZonasFacade extends AbstractFacade<VZonas> implements VZonasFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public VZonasFacade() {
        super(VZonas.class);
    }

    @Override
    public List<VZonas> busquedaSucursal(String sucursalCodigo) {
        Query q = em.createNamedQuery("VZonas.findBySucursalCodigo");
        q.setParameter("sucursalCodigo", sucursalCodigo);
        return q.getResultList();
    }

}
